loci.formats.in

## Class BaseZeissReader.Shape

- java.lang.Object
- - loci.formats.in.BaseZeissReader.Shape

- Enclosing class:
    BaseZeissReader

      class BaseZeissReader.Shape
      extends java.lang.Object

  Shape class representing the metadata within an AxioVision Shape ROI

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) boolean` | `bold`
    `(package private) BaseZeissReader.Charset` | `charset`
    `(package private) boolean` | `displayTag`
    `(package private) int` | `drawColour`
    `(package private) BaseZeissReader.DrawStyle` | `drawStyle`
    `(package private) byte` | `fb`
    `(package private) int` | `fillColour`
    `(package private) BaseZeissReader.FillStyle` | `fillStyle`
    `(package private) java.lang.String` | `fontName`
    `(package private) int` | `fontSize`
    `(package private) int` | `fontWeight`
    `(package private) int` | `handleSize`
    `(package private) int` | `height`
    `(package private) int` | `id`
    `(package private) boolean` | `italic`
    `(package private) BaseZeissReader.LineEndPositions` | `lineEndPositions`
    `(package private) int` | `lineEndSize`
    `(package private) BaseZeissReader.LineEndStyle` | `lineEndStyle`
    `(package private) int` | `lineWidth`
    `(package private) java.lang.String` | `name`
    `(package private) int` | `pointCount`
    `(package private) double[]` | `points`
    `(package private) BaseZeissReader.PointStyle` | `pointStyle`
    `(package private) boolean` | `strikeout`
    `(package private) BaseZeissReader.Tag` | `tagID`
    `(package private) java.lang.String` | `text`
    `(package private) BaseZeissReader.TextAlignment` | `textAlignment`
    `(package private) int` | `textColour`
    `(package private) BaseZeissReader.FeatureType` | `type`
    `(package private) boolean` | `underline`
    `(package private) int` | `unknown1`
    `(package private) int` | `unknown10`
    `(package private) int` | `unknown11`
    `(package private) int` | `unknown12`
    `(package private) int` | `unknown13`
    `(package private) int` | `unknown14`
    `(package private) int` | `unknown15`
    `(package private) int` | `unknown16`
    `(package private) int` | `unknown17`
    `(package private) int` | `unknown18`
    `(package private) int` | `unknown19`
    `(package private) int` | `unknown2`
    `(package private) int` | `unknown3`
    `(package private) int` | `unknown4`
    `(package private) int` | `unknown5`
    `(package private) int` | `unknown6`
    `(package private) int` | `unknown7`
    `(package private) int` | `unknown8`
    `(package private) int` | `width`
    `(package private) int` | `x1`
    `(package private) int` | `x2`
    `(package private) int` | `y1`
    `(package private) int` | `y2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shape()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `appendHexValue(java.lang.StringBuilder s, java.lang.String key, int i)`
    `private void` | `appendValue(java.lang.StringBuilder s, java.lang.String key, java.lang.Object value)`
    `private java.lang.String` | `formatHex(int i)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          int id

    - #### type

          BaseZeissReader.FeatureType type

    - #### unknown1

          int unknown1

    - #### unknown2

          int unknown2

    - #### unknown3

          int unknown3

    - #### x1

          int x1

    - #### y1

          int y1

    - #### x2

          int x2

    - #### y2

          int y2

    - #### width

          int width

    - #### height

          int height

    - #### unknown4

          int unknown4

    - #### unknown5

          int unknown5

    - #### unknown6

          int unknown6

    - #### unknown7

          int unknown7

    - #### fb

          byte fb

    - #### fillColour

          int fillColour

    - #### textColour

          int textColour

    - #### drawColour

          int drawColour

    - #### lineWidth

          int lineWidth

    - #### drawStyle

          BaseZeissReader.DrawStyle drawStyle

    - #### fillStyle

          BaseZeissReader.FillStyle fillStyle

    - #### unknown8

          int unknown8

    - #### unknown10

          int unknown10

    - #### unknown11

          int unknown11

    - #### unknown12

          int unknown12

    - #### unknown13

          int unknown13

    - #### unknown14

          int unknown14

    - #### unknown15

          int unknown15

    - #### unknown16

          int unknown16

    - #### unknown17

          int unknown17

    - #### unknown18

          int unknown18

    - #### unknown19

          int unknown19

    - #### lineEndStyle

          BaseZeissReader.LineEndStyle lineEndStyle

    - #### pointStyle

          BaseZeissReader.PointStyle pointStyle

    - #### lineEndSize

          int lineEndSize

    - #### lineEndPositions

          BaseZeissReader.LineEndPositions lineEndPositions

    - #### fontName

          java.lang.String fontName

    - #### fontSize

          int fontSize

    - #### fontWeight

          int fontWeight

    - #### bold

          boolean bold

    - #### italic

          boolean italic

    - #### underline

          boolean underline

    - #### strikeout

          boolean strikeout

    - #### charset

          BaseZeissReader.Charset charset

    - #### textAlignment

          BaseZeissReader.TextAlignment textAlignment

    - #### name

          java.lang.String name

    - #### text

          java.lang.String text

    - #### tagID

          BaseZeissReader.Tag tagID

    - #### displayTag

          boolean displayTag

    - #### handleSize

          int handleSize

    - #### pointCount

          int pointCount

    - #### points

          double[] points

  - ### Constructor Detail

    - #### Shape

          Shape()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### appendHexValue

          private void appendHexValue(java.lang.StringBuilder s,
                                      java.lang.String key,
                                      int i)

    - #### appendValue

          private void appendValue(java.lang.StringBuilder s,
                                   java.lang.String key,
                                   java.lang.Object value)

    - #### formatHex

          private java.lang.String formatHex(int i)

Copyright © 2026 Open Microscopy Environment